Qt 5.7 | Qt 3D | C++ Classes | QRenderSurfaceSelector

Qt 5.7.1 Reference Documentation

# QRenderSurfaceSelector Class

(Qt3DRender::QRenderSurfaceSelector)

Provides a way of specifying the render surface More...

Header: | #include <QRenderSurfaceSelector>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderSurfaceSelector
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Properties

- externalRenderTargetSize : const QSize
- surface : QObject *
- surfacePixelRatio : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderSurfaceSelector(Qt3DCore::QNode *parent = nullptr)
QSize | externalRenderTargetSize() const
void | setExternalRenderTargetSize(const QSize &size)
QObject * | surface() const
float | surfacePixelRatio() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSurface(QObject *surfaceObject)
void | setSurfacePixelRatio(float ratio)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | externalRenderTargetSizeChanged(const QSize &size)
void | surfaceChanged(QObject *surface)
void | surfacePixelRatioChanged(float ratio)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Provides a way of specifying the render surface

The Qt3DRender::QRenderSurfaceSelector can be used to select the surface, where Qt3D renders the content. The surface can either be window surface or offscreen surface. The externalRenderTargetSize is used to specify the actual size of the surface when offscreen surface is used.

When DPI scaling is used by the system, the logical surface size, which is used by mouse events, and the actual 'physical' size of the surface can differ. The surfacePixelRatio is the factor to convert the logical size to the physical size.

See also QWindow, QOffscreenSurface, and QSurface.

## Property Documentation

### externalRenderTargetSize : const QSize

Holds the size of the external render target.

Access functions:

QSize | externalRenderTargetSize() const

Notifier signal:

void | externalRenderTargetSizeChanged(const QSize &size)

### surface : QObject *

Holds the surface

Access functions:

QObject * | surface() const
void | setSurface(QObject *surfaceObject)

Notifier signal:

void | surfaceChanged(QObject *surface)

### surfacePixelRatio : float

Holds the surfacePixelRatio of the surface.

Access functions:

float | surfacePixelRatio() const
void | setSurfacePixelRatio(float ratio)

Notifier signal:

void | surfacePixelRatioChanged(float ratio)

## Member Function Documentation

### QRenderSurfaceSelector::QRenderSurfaceSelector(Qt3DCore::QNode *parent = nullptr)

Constructs QRenderSurfaceSelector with given parent.

### void QRenderSurfaceSelector::setExternalRenderTargetSize(const QSize &size)

Sets render target size if different than underlying surface size. Tells picking the correct size.

See also externalRenderTargetSize().

### `[slot]` void QRenderSurfaceSelector::setSurface(QObject *surfaceObject)

Sets surfaceObject.

Note: Setter function for property surface.

See also surface().